Bug 60970 - rpm-4.0.2-6x upgrade and - - rebuilddb segfaults
rpm-4.0.2-6x upgrade and - - rebuilddb segfaults
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
6.2
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
ftp.pwhosting.com/rpmdb.tar.gz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-10 20:12 EST by Ian Scott
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-10 20:12:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Scott 2002-03-10 20:12:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98; Hotbar 3.0; H010818)

Description of problem:
Unable to rebuild rpm db after upgrading to rpm-4.0.2-6x.  --rebuilddb causes 
segmentation fault, as does rpm -qa

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.rpm --rebuilddb -vvv
2.rpm -qa
3.
	

Actual Results:  Segmentation Fault after performing above commands.

Expected Results:  rpm db should have been rebuilt and rpm should work.

Additional info:

I may have done something wrong myself, but I am not sure.  I followed the 
steps in Upgrading, including installing the other dependencies such as popt 
and db3 utilities.  This might not be a bug in the rpm - rather a buggy brain 
at the time of doing the work :).  Nevertheless, I was asked to submit this bug 
by jbj.
Comment 1 Jeff Johnson 2002-03-11 08:25:24 EST
I did a --rebuilddb with rpm-3.0.5 to fix a
damaged record, then did another --rebuilddb
with rpm-4.0.2 to make sure that db1 -> db3
conversion "works".

A fixed copy of your rpm/packages.rpm is at
	ftp://people.redhat.com/jbj/rpmdb-60970-FIX.tar.gz

Download, and install by doing (as root)
	cd /var/lib
	mv rpm rpm-SAVE
	tar xzvf rpmdb-60970-FIX.tar.gz
	rpm --rebuilddb -vv
	rpm -qa

Reopen this bug if you run into trouble

Note You need to log in before you can comment on or make changes to this bug.